Get airport details (v1)
Name, codes, location, elevation, timezone, current delays, runways and latest METAR weather for an airport. data is null for a code Flightradar24 does not know.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
airport*string
IATA or ICAO airport code such as LHR or EGLL, or the airport's flightradar24.com link. Find a code by name with the Search endpoint.
Length
length <= 300curl -X GET "https://example.com/v1/flightradar24/airport?airport=LHR" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "iata": "LHR", "icao": "EGLL", "name": "London Heathrow Airport", "city": "London", "country": "United Kingdom", "country_code": "GB", "latitude": 51.471626, "longitude": -0.467081, "elevation_ft": 83, "timezone": { "name": "Europe/London", "abbr": "GMT", "offset_seconds": 0, "is_dst": true }, "website": "http://www.heathrowairport.com/", "wikipedia": "https://en.wikipedia.org/wiki/London_Heathrow_Airport", "delays": { "departures": { "delay_index": 1.67, "average_delay_minutes": 20, "delayed_share": 0.71, "today": { "on_time": 0, "delayed": 0, "canceled": 0 }, "yesterday": { "on_time": 0, "delayed": 0, "canceled": 0 } }, "arrivals": { "delay_index": 1.67, "average_delay_minutes": 20, "delayed_share": 0.71, "today": { "on_time": 0, "delayed": 0, "canceled": 0 }, "yesterday": { "on_time": 0, "delayed": 0, "canceled": 0 } } }, "runways": [ { "name": "09L", "length_m": 3901, "length_ft": 12799, "surface": "Asphalt" } ], "weather": { "metar": "EGLL 051850Z AUTO 08007KT 9999 OVC024 10/05 Q1024", "observed_at": "2026-11-05T18:50:00Z", "temperature_c": 10, "dewpoint_c": 5, "humidity": 71, "pressure_hpa": 1024, "wind_direction_deg": 80, "wind_speed_kts": 7, "sky": "Overcast", "flight_category": "MVFR" }, "url": "https://www.flightradar24.com/airport/lhr" }, "details": { "reason": "string", "message": "string" }}